Skip to main content
GET
/
locations
/
{location_id}
/
users
/
{user_id}
Get User
curl --request GET \
  --url https://api.crosoftware.com/v0/locations/{location_id}/users/{user_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
import requests

url = "https://api.crosoftware.com/v0/locations/{location_id}/users/{user_id}"

headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.crosoftware.com/v0/locations/{location_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "dispatcher_id": 123,
  "driver_id": "<string>",
  "id": "<string>",
  "roles": [
    "<string>"
  ],
  "third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "username": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

location_id
integer<int64>
required

Location identifier.

user_id
string
required

User identifier.

Response

200 - application/json

Success

User info.

dispatcher_id
integer<int64>
required

Resource identifier.

driver_id
string
required

Driver identifier.

id
string
required

User identifier.

roles
string[]
required

User role.

third_party_hauler_id
string<uuid>
required

Third party hauler identifier.

uid
string<uuid>
required

Identity UUID.

username
string
required

Username.